mean = [0.03 0.05 0.07 0.09 0.11 0.13];
volatilities = [0.1 0.15 0.2 0.25 0.3 0.35];

N = 6;

T = 180;

dt=1/360;

scen = 500;

for i=1:N
S=ones(scen,1)*100;
for t=2:T
   S(:,t)=S(:,t-1).* ...
   exp((mean(i)-(volatilities(i))^2/2)*dt ...
   + volatilities(i)*dt^0.5 * randn(scen,1) ) ;
end
  returns(:,i) = (S(:,T)-S(:,1))./S(:,1);
end
fn = fopen('returnMat.txt','w');
    fprintf(fn,'      \t');
    fprintf(fn,'i%-9d\t',1:size(returns,2));
    fprintf(fn,'\r\n');
for k = 1:size(returns,1)
    fprintf(fn,'s%-6d\t',k);
    fprintf(fn,'%-9.2f\t',returns(k,:));
    fprintf(fn,'\r\n');
end
fclose(fn);


